Bug 673029 - Review Request: sil-nuosu-fonts - The Nuosu SIL Font
Summary: Review Request: sil-nuosu-fonts - The Nuosu SIL Font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-27 05:46 UTC by Peng Wu
Modified: 2011-03-08 02:23 UTC (History)
6 users (show)

Fixed In Version: sil-nuosu-fonts-2.1.1-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-07 20:59:25 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Peng Wu 2011-01-27 05:46:11 UTC
Spec URL: http://pwu.fedorapeople.org/NuosuSIL/sil-nuosu-fonts.spec
SRPM URL: http://pwu.fedorapeople.org/NuosuSIL/sil-nuosu-fonts-2.1.1-1.fc14.src.rpm
Description:
The Nuosu SIL Font is a single Unicode font for the standardized Yi script
used by a large ethnic group in southwestern China.
Until this version, the font was called SIL Yi.

Comment 1 Parag AN(पराग) 2011-01-28 05:27:44 UTC
1) I think good to add simple fontconfig rule.
2) also following are not needed now
   * %clean section
   * removal of buildroot in %install

Comment 2 Peng Wu 2011-01-30 06:54:56 UTC
Thanks, a simple fontconfig rule is added and the spec file is cleaned.
Here are the new spec file and source rpm:
Spec URL: http://pwu.fedorapeople.org/NuosuSIL/sil-nuosu-fonts.spec
SRPM URL: http://pwu.fedorapeople.org/NuosuSIL/sil-nuosu-fonts-2.1.1-2.fc14.src.rpm

Comment 3 Parag AN(पराग) 2011-01-31 06:19:11 UTC
1) Please include documentation also. I missed to address it in my last comment.
%doc OFL.txt doc/FONTLOG.txt


This will make rpmlint to complain wrong-file-end-of-line-encoding. Fix it in %prep
sed -i 's/\r//' OFL.txt doc/FONTLOG.txt


2)koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=2751539

APPROVED.

Comment 4 Peng Wu 2011-02-10 02:54:52 UTC
New Package SCM Request
=======================
Package Name: sil-nuosu-fonts
Short Description: The Nuosu SIL Font
Owners: pwu
Branches: f13 f14 f15 el4 el5 el6
InitialCC: i18n-team petersen jamesni

Comment 5 Jason Tibbitts 2011-02-10 14:01:54 UTC
Again, we cannot yet create f15 branches.  Did some announcement go out
indicating that f15 had been branched?

Git done (by process-git-requests).

Comment 6 Peng Wu 2011-02-12 00:28:24 UTC
No, just applied it for safe.

Comment 7 Fedora Update System 2011-03-03 06:06:45 UTC
Package sil-nuosu-fonts-2.1.1-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sil-nuosu-fonts-2.1.1-3.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/sil-nuosu-fonts-2.1.1-3.fc14
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-03-03 06:06:53 UTC
Package sil-nuosu-fonts-2.1.1-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sil-nuosu-fonts-2.1.1-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/sil-nuosu-fonts-2.1.1-3.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-03-03 06:07:00 UTC
Package sil-nuosu-fonts-2.1.1-3.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sil-nuosu-fonts-2.1.1-3.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/sil-nuosu-fonts-2.1.1-3.fc13
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-03-04 09:52:16 UTC
sil-nuosu-fonts-2.1.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sil-nuosu-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sil-nuosu-fonts-2.1.1-3.fc13

Comment 11 Fedora Update System 2011-03-07 20:59:18 UTC
sil-nuosu-fonts-2.1.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-07 21:01:21 UTC
sil-nuosu-fonts-2.1.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-08 02:23:04 UTC
sil-nuosu-fonts-2.1.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.